Subject: Propolice smashing stack protector for NetBSD
To: None <>
From: Robert Connolly <>
List: netbsd-ports
Date: 03/22/2004 17:31:43
I can start by saying Propolice can't be a port because there are too many 
patches to /usr/src. I've taken the patches from ibm, freebsd, and openbsd 
and put these patches together with bootstrap instructions for NetBSD 
-current. My patches and instructions were designed to work on all platforms. 
Everything you need to build NetBSD with default stack protection is here:

Includes patches for gcc, libc, xfree86, and the kernel. This is intended for 
branch distributions, developers, and security enthusiasts.